VTK: vtkTreeAreaView Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkTreeAreaView Class Reference

Accepts a graph and a hierarchy - currently a tree - and provides a hierarchy-aware display. More...

`#include <vtkTreeAreaView.h>`

Inheritance diagram for vtkTreeAreaView:
[legend]
Collaboration diagram for vtkTreeAreaView:
[legend]

## Public Types
typedef vtkRenderView | Superclass
Public Types inherited from vtkRenderView
enum | { INTERACTION_MODE_2D , INTERACTION_MODE_3D , INTERACTION_MODE_UNKNOWN }
enum | { SURFACE = 0 , FRUSTUM = 1 }
enum | { NO_OVERLAP , ALL }
enum | { FREETYPE , QT }
typedef vtkRenderViewBase | Superclass
Public Types inherited from vtkRenderViewBase
typedef vtkView | Superclass
Public Types inherited from vtkView
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkTreeAreaView * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | SetEdgeColorToSplineFraction ()
| Set the color to be the spline fraction. More...
vtkDataRepresentation * | SetTreeFromInputConnection (vtkAlgorithmOutput *conn)
| Set the tree and graph representations to the appropriate input ports. More...
vtkDataRepresentation * | SetTreeFromInput (vtkTree *input)
| Set the tree and graph representations to the appropriate input ports. More...
vtkDataRepresentation * | SetGraphFromInputConnection (vtkAlgorithmOutput *conn)
| Set the tree and graph representations to the appropriate input ports. More...
vtkDataRepresentation * | SetGraphFromInput (vtkGraph *input)
| Set the tree and graph representations to the appropriate input ports. More...
void | SetAreaLabelArrayName (const char *name)
| The array to use for area labeling. More...
const char * | GetAreaLabelArrayName ()
| The array to use for area labeling. More...
void | SetAreaSizeArrayName (const char *name)
| The array to use for area sizes. More...
const char * | GetAreaSizeArrayName ()
| The array to use for area sizes. More...
void | SetLabelPriorityArrayName (const char *name)
| The array to use for area labeling priority. More...
const char * | GetLabelPriorityArrayName ()
| The array to use for area labeling priority. More...
void | SetEdgeLabelArrayName (const char *name)
| The array to use for edge labeling. More...
const char * | GetEdgeLabelArrayName ()
| The array to use for edge labeling. More...
void | SetAreaHoverArrayName (const char *name)
| The name of the array whose value appears when the mouse hovers over a rectangle in the treemap. More...
const char * | GetAreaHoverArrayName ()
| The name of the array whose value appears when the mouse hovers over a rectangle in the treemap. More...
void | SetAreaLabelVisibility (bool vis)
| Whether to show area labels. More...
bool | GetAreaLabelVisibility ()
| Whether to show area labels. More...
virtual void | AreaLabelVisibilityOn ()
| Whether to show area labels. More...
virtual void | AreaLabelVisibilityOff ()
| Whether to show area labels. More...
void | SetEdgeLabelVisibility (bool vis)
| Whether to show edge labels. More...
bool | GetEdgeLabelVisibility ()
| Whether to show edge labels. More...
virtual void | EdgeLabelVisibilityOn ()
| Whether to show edge labels. More...
virtual void | EdgeLabelVisibilityOff ()
| Whether to show edge labels. More...
void | SetAreaColorArrayName (const char *name)
| The array to use for coloring vertices. More...
const char * | GetAreaColorArrayName ()
| The array to use for coloring vertices. More...
void | SetColorAreas (bool vis)
| Whether to color vertices. More...
bool | GetColorAreas ()
| Whether to color vertices. More...
virtual void | ColorAreasOn ()
| Whether to color vertices. More...
virtual void | ColorAreasOff ()
| Whether to color vertices. More...
void | SetEdgeColorArrayName (const char *name)
| The array to use for coloring edges. More...
const char * | GetEdgeColorArrayName ()
| The array to use for coloring edges. More...
void | SetShrinkPercentage (double value)
| Set the region shrink percentage between 0.0 and 1.0. More...
double | GetShrinkPercentage ()
| Set the region shrink percentage between 0.0 and 1.0. More...
void | SetColorEdges (bool vis)
| Whether to color edges. More...
bool | GetColorEdges ()
| Whether to color edges. More...
virtual void | ColorEdgesOn ()
| Whether to color edges. More...
virtual void | ColorEdgesOff ()
| Whether to color edges. More...
void | SetBundlingStrength (double strength)
| Set the bundling strength. More...
double | GetBundlingStrength ()
| Set the bundling strength. More...
virtual void | SetAreaLabelFontSize (int size)
| The size of the font used for area labeling. More...
virtual int | GetAreaLabelFontSize ()
| The size of the font used for area labeling. More...
virtual void | SetEdgeLabelFontSize (int size)
| The size of the font used for edge labeling. More...
virtual int | GetEdgeLabelFontSize ()
| The size of the font used for edge labeling. More...
virtual void | SetLayoutStrategy (vtkAreaLayoutStrategy *strategy)
| The layout strategy for producing spatial regions for the tree. More...
virtual vtkAreaLayoutStrategy * | GetLayoutStrategy ()
| The layout strategy for producing spatial regions for the tree. More...
virtual void | SetUseRectangularCoordinates (bool rect)
| Whether the area represents radial or rectangular coordinates. More...
virtual bool | GetUseRectangularCoordinates ()
| Whether the area represents radial or rectangular coordinates. More...
virtual void | UseRectangularCoordinatesOn ()
| Whether the area represents radial or rectangular coordinates. More...
virtual void | UseRectangularCoordinatesOff ()
| Whether the area represents radial or rectangular coordinates. More...
virtual void | SetEdgeScalarBarVisibility (bool b)
| Visibility of scalar bar actor for edges. More...
virtual bool | GetEdgeScalarBarVisibility ()
| Visibility of scalar bar actor for edges. More...
Public Member Functions inherited from vtkRenderView
vtkRenderView * | NewInstance () const
void | SetInteractor (vtkRenderWindowInteractor *interactor) override
| The render window interactor. More...
virtual void | SetInteractorStyle (vtkInteractorObserver *style)
| The interactor style associated with the render view. More...
virtual vtkInteractorObserver * | GetInteractorStyle ()
| Get the interactor style associated with the render view. More...
void | SetRenderWindow (vtkRenderWindow *win) override
| Set the render window for this view. More...
void | SetInteractionMode (int mode)
virtual int | GetInteractionMode ()
virtual void | SetInteractionModeTo2D ()
| Set the interaction mode for the view. More...
virtual void | SetInteractionModeTo3D ()
void | Render () override
| Updates the representations, then calls Render() on the render window associated with this view. More...
void | ApplyViewTheme (vtkViewTheme *theme) override
| Applies a view theme to this view. More...
virtual void | AddLabels (vtkAlgorithmOutput *conn)
| Add labels from an input connection with an associated text property. More...
virtual void | RemoveLabels (vtkAlgorithmOutput *conn)
| Remove labels from an input connection. More...
virtual void | SetTransform (vtkAbstractTransform *transform)
| Set the view's transform. More...
virtual vtkAbstractTransform * | GetTransform ()
| Set the view's transform. More...
virtual void | SetDisplayHoverText (bool b)
| Whether the view should display hover text. More...
virtual bool | GetDisplayHoverText ()
| Whether the view should display hover text. More...
virtual void | DisplayHoverTextOn ()
| Whether the view should display hover text. More...
virtual void | DisplayHoverTextOff ()
| Whether the view should display hover text. More...
virtual void | SetSelectionMode (int)
| Sets the selection mode for the render view. More...
virtual int | GetSelectionMode ()
| Sets the selection mode for the render view. More...
void | SetSelectionModeToSurface ()
| Sets the selection mode for the render view. More...
void | SetSelectionModeToFrustum ()
| Sets the selection mode for the render view. More...
virtual void | SetIconTexture (vtkTexture *texture)
| Set the icon sheet to use for rendering icons. More...
virtual vtkTexture * | GetIconTexture ()
| Set the icon sheet to use for rendering icons. More...
virtual void | SetIconSize (int, int)
| Set the size of each icon in the icon texture. More...
void | SetIconSize (int[2])
| Set the size of each icon in the icon texture. More...
virtual int * | GetIconSize ()
| Set the size of each icon in the icon texture. More...
virtual void | GetIconSize (int &, int &)
| Set the size of each icon in the icon texture. More...
virtual void | GetIconSize (int[2])
| Set the size of each icon in the icon texture. More...
virtual void | SetDisplaySize (int, int)
| Set the display size of the icon (which may be different from the icon size). More...
void | SetDisplaySize (int[2])
| Set the display size of the icon (which may be different from the icon size). More...
int * | GetDisplaySize ()
| Set the display size of the icon (which may be different from the icon size). More...
void | GetDisplaySize (int &dsx, int &dsy)
| Set the display size of the icon (which may be different from the icon size). More...
virtual void | SetLabelPlacementMode (int mode)
| Label placement mode. More...
virtual int | GetLabelPlacementMode ()
| Label placement mode. More...
virtual void | SetLabelPlacementModeToNoOverlap ()
| Label placement mode. More...
virtual void | SetLabelPlacementModeToAll ()
| Label placement mode. More...
virtual void | SetLabelRenderMode (int mode)
| Label render mode. More...
virtual int | GetLabelRenderMode ()
| Label render mode. More...
virtual void | SetLabelRenderModeToFreetype ()
| Label render mode. More...
virtual void | SetLabelRenderModeToQt ()
| Label render mode. More...
void | SetRenderOnMouseMove (bool b)
| Whether to render on every mouse move. More...
virtual bool | GetRenderOnMouseMove ()
| Whether to render on every mouse move. More...
virtual void | RenderOnMouseMoveOn ()
| Whether to render on every mouse move. More...
virtual void | RenderOnMouseMoveOff ()
| Whether to render on every mouse move. More...
Public Member Functions inherited from vtkRenderViewBase
vtkRenderViewBase * | NewInstance () const
virtual vtkRenderer * | GetRenderer ()
| Gets the renderer for this view. More...
virtual void | SetRenderer (vtkRenderer *ren)
virtual vtkRenderWindow * | GetRenderWindow ()
| Get a handle to the render window. More...
virtual void | ResetCamera ()
| Updates the representations, then calls ResetCamera() on the renderer associated with this view. More...
virtual void | ResetCameraClippingRange ()
| Updates the representations, then calls ResetCameraClippingRange() on the renderer associated with this view. More...
virtual vtkRenderWindowInteractor * | GetInteractor ()
| The render window interactor. More...
Public Member Functions inherited from vtkView
vtkView * | NewInstance () const
void | AddRepresentation (vtkDataRepresentation *rep)
| Adds the representation to the view. More...
void | SetRepresentation (vtkDataRepresentation *rep)
| Set the representation to the view. More...
vtkDataRepresentation * | AddRepresentationFromInputConnection (vtkAlgorithmOutput *conn)
| Convenience method which creates a simple representation with the connection and adds it to the view. More...
vtkDataRepresentation * | SetRepresentationFromInputConnection (vtkAlgorithmOutput *conn)
| Convenience method which sets the representation with the connection and adds it to the view. More...
vtkDataRepresentation * | AddRepresentationFromInput (vtkDataObject *input)
| Convenience method which creates a simple representation with the specified input and adds it to the view. More...
vtkDataRepresentation * | SetRepresentationFromInput (vtkDataObject *input)
| Convenience method which sets the representation to the specified input and adds it to the view. More...
void | RemoveRepresentation (vtkDataRepresentation *rep)
| Removes the representation from the view. More...
void | RemoveRepresentation (vtkAlgorithmOutput *rep)
| Removes any representation with this connection from the view. More...
void | RemoveAllRepresentations ()
| Removes all representations from the view. More...
int | GetNumberOfRepresentations ()
| Returns the number of representations from first port(0) in this view. More...
vtkDataRepresentation * | GetRepresentation (int index=0)
| The representation at a specified index. More...
bool | IsRepresentationPresent (vtkDataRepresentation *rep)
| Check to see if a representation is present in the view. More...
virtual void | Update ()
| Update the view. More...
virtual void | ApplyViewTheme (vtkViewTheme *vtkNotUsed(theme))
| Apply a theme to the view. More...
vtkCommand * | GetObserver ()
| Returns the observer that the subclasses can use to listen to additional events. More...
void | RegisterProgress (vtkObject *algorithm, const char *message=nullptr)
| Meant for use by subclasses and vtkRepresentation subclasses. More...
void | UnRegisterProgress (vtkObject *algorithm)
| Unregister objects previously registered with RegisterProgress. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTreeAreaView * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkTreeAreaView * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkRenderView
static vtkRenderView * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRenderView * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkRenderViewBase
static vtkRenderViewBase * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRenderViewBase * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkView
static vtkView * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkView * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkTreeAreaView ()
| ~vtkTreeAreaView () override
virtual void | SetAreaToPolyData (vtkPolyDataAlgorithm *areaToPoly)
| The filter for converting areas to polydata. More...
virtual vtkPolyDataAlgorithm * | GetAreaToPolyData ()
| The filter for converting areas to polydata. More...
virtual void | SetAreaLabelMapper (vtkLabeledDataMapper *mapper)
| The mapper for rendering labels on areas. More...
virtual vtkLabeledDataMapper * | GetAreaLabelMapper ()
| The mapper for rendering labels on areas. More...
vtkDataRepresentation * | CreateDefaultRepresentation (vtkAlgorithmOutput *conn) override
| Overrides behavior in vtkView to create a vtkRenderedGraphRepresentation by default. More...
virtual vtkRenderedTreeAreaRepresentation * | GetTreeAreaRepresentation ()
| Overrides behavior in vtkView to create a vtkRenderedGraphRepresentation by default. More...
Protected Member Functions inherited from vtkRenderView
| vtkRenderView ()
| ~vtkRenderView () override
void | ProcessEvents (vtkObject *caller, unsigned long eventId, void *callData) override
| Called to process events. More...
virtual void | GenerateSelection (void *callData, vtkSelection *selection)
| Generates the selection based on the view event and the selection mode. More...
void | PrepareForRendering () override
| Called by the view when the renderer is about to render. More...
virtual void | UpdateHoverText ()
| Called in PrepareForRendering to update the hover text. More...
virtual void | UpdateHoverWidgetState ()
| Enable or disable hovering based on DisplayHoverText ivar and interaction state. More...
void | UpdatePickRender ()
| Update the pick render for queries for drag selections or hover ballooons. More...
Protected Member Functions inherited from vtkRenderViewBase
| vtkRenderViewBase ()
| ~vtkRenderViewBase () override
Protected Member Functions inherited from vtkView
| vtkView ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
| ~vtkView () override
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | AddRepresentationInternal (vtkDataRepresentation *vtkNotUsed(rep))
| Subclass "hooks" for notifying subclasses of vtkView when representations are added or removed. More...
virtual void | RemoveRepresentationInternal (vtkDataRepresentation *vtkNotUsed(rep))
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | SetReuseSingleRepresentation (bool)
| True if the view takes a single representation that should be reused on Add/SetRepresentationFromInput(Connection) calls. More...
virtual bool | GetReuseSingleRepresentation ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | ReuseSingleRepresentationOn ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | ReuseSingleRepresentationOff ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkRenderView
int | SelectionMode
int | LabelRenderMode
bool | DisplayHoverText
bool | Interacting
bool | InHoverTextRender
bool | InPickRender
bool | PickRenderNeedsUpdate
vtkAbstractTransform * | Transform
vtkTexture * | IconTexture
int | IconSize [2]
int | DisplaySize [2]
int | InteractionMode
bool | RenderOnMouseMove
vtkSmartPointer< vtkRenderer > | LabelRenderer
vtkSmartPointer< vtkBalloonRepresentation > | Balloon
vtkSmartPointer< vtkLabelPlacementMapper > | LabelPlacementMapper
vtkSmartPointer< vtkTexturedActor2D > | LabelActor
vtkSmartPointer< vtkHoverWidget > | HoverWidget
vtkSmartPointer< vtkHardwareSelector > | Selector
Protected Attributes inherited from vtkRenderViewBase
vtkSmartPointer< vtkRenderer > | Renderer
vtkSmartPointer< vtkRenderWindow > | RenderWindow
Protected Attributes inherited from vtkView
bool | ReuseSingleRepresentation
| Meant for use by subclasses and vtkRepresentation subclasses. More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

Accepts a graph and a hierarchy - currently a tree - and provides a hierarchy-aware display.

Currently, this means displaying the hierarchy using a tree ring layout, then rendering the graph vertices as leaves of the tree with curved graph edges between leaves.

Takes a graph and a hierarchy (currently a tree) and lays out the graph vertices based on their categorization within the hierarchy.

.SEE ALSO vtkGraphLayoutView

Thanks:
  Thanks to Jason Shepherd for implementing this class

Definition at line 36 of file vtkTreeAreaView.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkRenderView vtkTreeAreaView::Superclass

Definition at line 40 of file vtkTreeAreaView.h.

## Constructor & Destructor Documentation

## ◆ vtkTreeAreaView()

vtkTreeAreaView::vtkTreeAreaView | ( |  | ) |
| protected

## ◆ ~vtkTreeAreaView()

vtkTreeAreaView::~vtkTreeAreaView | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkTreeAreaView* vtkTreeAreaView::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkTreeAreaView::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkTreeAreaView::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkRenderView.

Reimplemented in vtkTreeRingView, vtkTreeMapView, and vtkIcicleView.

## ◆ SafeDownCast()

static vtkTreeAreaView* vtkTreeAreaView::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkTreeAreaView::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkRenderView.

Reimplemented in vtkTreeRingView, vtkTreeMapView, and vtkIcicleView.

## ◆ NewInstance()

vtkTreeAreaView* vtkTreeAreaView::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkTreeAreaView::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkRenderView.

Reimplemented in vtkTreeRingView, and vtkTreeMapView.

## ◆ SetTreeFromInputConnection()

vtkDataRepresentation* vtkTreeAreaView::SetTreeFromInputConnection | ( | vtkAlgorithmOutput * | conn | ) |

Set the tree and graph representations to the appropriate input ports.

## ◆ SetTreeFromInput()

vtkDataRepresentation* vtkTreeAreaView::SetTreeFromInput | ( | vtkTree * | input | ) |

Set the tree and graph representations to the appropriate input ports.

## ◆ SetGraphFromInputConnection()

vtkDataRepresentation* vtkTreeAreaView::SetGraphFromInputConnection | ( | vtkAlgorithmOutput * | conn | ) |

Set the tree and graph representations to the appropriate input ports.

## ◆ SetGraphFromInput()

vtkDataRepresentation* vtkTreeAreaView::SetGraphFromInput | ( | vtkGraph * | input | ) |

Set the tree and graph representations to the appropriate input ports.

## ◆ SetAreaLabelArrayName()

void vtkTreeAreaView::SetAreaLabelArrayName | ( | const char * | name | ) |

The array to use for area labeling.

Default is "label".

## ◆ GetAreaLabelArrayName()

const char* vtkTreeAreaView::GetAreaLabelArrayName | ( |  | ) |

The array to use for area labeling.

Default is "label".

## ◆ SetAreaSizeArrayName()

void vtkTreeAreaView::SetAreaSizeArrayName | ( | const char * | name | ) |

The array to use for area sizes.

Default is "size".

## ◆ GetAreaSizeArrayName()

const char* vtkTreeAreaView::GetAreaSizeArrayName | ( |  | ) |

The array to use for area sizes.

Default is "size".

## ◆ SetLabelPriorityArrayName()

void vtkTreeAreaView::SetLabelPriorityArrayName | ( | const char * | name | ) |

The array to use for area labeling priority.

Default is "GraphVertexDegree".

## ◆ GetLabelPriorityArrayName()

const char* vtkTreeAreaView::GetLabelPriorityArrayName | ( |  | ) |

The array to use for area labeling priority.

Default is "GraphVertexDegree".

## ◆ SetEdgeLabelArrayName()

void vtkTreeAreaView::SetEdgeLabelArrayName | ( | const char * | name | ) |

The array to use for edge labeling.

Default is "label".

## ◆ GetEdgeLabelArrayName()

const char* vtkTreeAreaView::GetEdgeLabelArrayName | ( |  | ) |

The array to use for edge labeling.

Default is "label".

## ◆ SetAreaHoverArrayName()

void vtkTreeAreaView::SetAreaHoverArrayName | ( | const char * | name | ) |

The name of the array whose value appears when the mouse hovers over a rectangle in the treemap.

This must be a string array.

## ◆ GetAreaHoverArrayName()

const char* vtkTreeAreaView::GetAreaHoverArrayName | ( |  | ) |

The name of the array whose value appears when the mouse hovers over a rectangle in the treemap.

This must be a string array.

## ◆ SetAreaLabelVisibility()

void vtkTreeAreaView::SetAreaLabelVisibility | ( | bool | vis | ) |

Whether to show area labels.

Default is off.

## ◆ GetAreaLabelVisibility()

bool vtkTreeAreaView::GetAreaLabelVisibility | ( |  | ) |

Whether to show area labels.

Default is off.

## ◆ AreaLabelVisibilityOn()

virtual void vtkTreeAreaView::AreaLabelVisibilityOn | ( |  | ) |
| virtual

Whether to show area labels.

Default is off.

## ◆ AreaLabelVisibilityOff()

virtual void vtkTreeAreaView::AreaLabelVisibilityOff | ( |  | ) |
| virtual

Whether to show area labels.

Default is off.

## ◆ SetEdgeLabelVisibility()

void vtkTreeAreaView::SetEdgeLabelVisibility | ( | bool | vis | ) |

Whether to show edge labels.

Default is off.

## ◆ GetEdgeLabelVisibility()

bool vtkTreeAreaView::GetEdgeLabelVisibility | ( |  | ) |

Whether to show edge labels.

Default is off.

## ◆ EdgeLabelVisibilityOn()

virtual void vtkTreeAreaView::EdgeLabelVisibilityOn | ( |  | ) |
| virtual

Whether to show edge labels.

Default is off.

## ◆ EdgeLabelVisibilityOff()

virtual void vtkTreeAreaView::EdgeLabelVisibilityOff | ( |  | ) |
| virtual

Whether to show edge labels.

Default is off.

## ◆ SetAreaColorArrayName()

void vtkTreeAreaView::SetAreaColorArrayName | ( | const char * | name | ) |

The array to use for coloring vertices.

Default is "color".

## ◆ GetAreaColorArrayName()

const char* vtkTreeAreaView::GetAreaColorArrayName | ( |  | ) |

The array to use for coloring vertices.

Default is "color".

## ◆ SetColorAreas()

void vtkTreeAreaView::SetColorAreas | ( | bool | vis | ) |

Whether to color vertices.

Default is off.

## ◆ GetColorAreas()

bool vtkTreeAreaView::GetColorAreas | ( |  | ) |

Whether to color vertices.

Default is off.

## ◆ ColorAreasOn()

virtual void vtkTreeAreaView::ColorAreasOn | ( |  | ) |
| virtual

Whether to color vertices.

Default is off.

## ◆ ColorAreasOff()

virtual void vtkTreeAreaView::ColorAreasOff | ( |  | ) |
| virtual

Whether to color vertices.

Default is off.

## ◆ SetEdgeColorArrayName()

void vtkTreeAreaView::SetEdgeColorArrayName | ( | const char * | name | ) |

The array to use for coloring edges.

Default is "color".

## ◆ GetEdgeColorArrayName()

const char* vtkTreeAreaView::GetEdgeColorArrayName | ( |  | ) |

The array to use for coloring edges.

Default is "color".

## ◆ SetEdgeColorToSplineFraction()

void vtkTreeAreaView::SetEdgeColorToSplineFraction | ( |  | ) |

Set the color to be the spline fraction.

## ◆ SetShrinkPercentage()

void vtkTreeAreaView::SetShrinkPercentage | ( | double | value | ) |

Set the region shrink percentage between 0.0 and 1.0.

## ◆ GetShrinkPercentage()

double vtkTreeAreaView::GetShrinkPercentage | ( |  | ) |

Set the region shrink percentage between 0.0 and 1.0.

## ◆ SetColorEdges()

void vtkTreeAreaView::SetColorEdges | ( | bool | vis | ) |

Whether to color edges.

Default is off.

## ◆ GetColorEdges()

bool vtkTreeAreaView::GetColorEdges | ( |  | ) |

Whether to color edges.

Default is off.

## ◆ ColorEdgesOn()

virtual void vtkTreeAreaView::ColorEdgesOn | ( |  | ) |
| virtual

Whether to color edges.

Default is off.

## ◆ ColorEdgesOff()

virtual void vtkTreeAreaView::ColorEdgesOff | ( |  | ) |
| virtual

Whether to color edges.

Default is off.

## ◆ SetBundlingStrength()

void vtkTreeAreaView::SetBundlingStrength | ( | double | strength | ) |

Set the bundling strength.

## ◆ GetBundlingStrength()

double vtkTreeAreaView::GetBundlingStrength | ( |  | ) |

Set the bundling strength.

## ◆ SetAreaLabelFontSize()

virtual void vtkTreeAreaView::SetAreaLabelFontSize | ( | int | size | ) |
| virtual

The size of the font used for area labeling.

## ◆ GetAreaLabelFontSize()

virtual int vtkTreeAreaView::GetAreaLabelFontSize | ( |  | ) |
| virtual

The size of the font used for area labeling.

## ◆ SetEdgeLabelFontSize()

virtual void vtkTreeAreaView::SetEdgeLabelFontSize | ( | int | size | ) |
| virtual

The size of the font used for edge labeling.

## ◆ GetEdgeLabelFontSize()

virtual int vtkTreeAreaView::GetEdgeLabelFontSize | ( |  | ) |
| virtual

The size of the font used for edge labeling.

## ◆ SetLayoutStrategy()

virtual void vtkTreeAreaView::SetLayoutStrategy | ( | vtkAreaLayoutStrategy * | strategy | ) |
| virtual

The layout strategy for producing spatial regions for the tree.

Reimplemented in vtkTreeMapView.

## ◆ GetLayoutStrategy()

virtual vtkAreaLayoutStrategy* vtkTreeAreaView::GetLayoutStrategy | ( |  | ) |
| virtual

The layout strategy for producing spatial regions for the tree.

## ◆ SetUseRectangularCoordinates()

virtual void vtkTreeAreaView::SetUseRectangularCoordinates | ( | bool | rect | ) |
| virtual

Whether the area represents radial or rectangular coordinates.

## ◆ GetUseRectangularCoordinates()

virtual bool vtkTreeAreaView::GetUseRectangularCoordinates | ( |  | ) |
| virtual

Whether the area represents radial or rectangular coordinates.

## ◆ UseRectangularCoordinatesOn()

virtual void vtkTreeAreaView::UseRectangularCoordinatesOn | ( |  | ) |
| virtual

Whether the area represents radial or rectangular coordinates.

## ◆ UseRectangularCoordinatesOff()

virtual void vtkTreeAreaView::UseRectangularCoordinatesOff | ( |  | ) |
| virtual

Whether the area represents radial or rectangular coordinates.

## ◆ SetEdgeScalarBarVisibility()

virtual void vtkTreeAreaView::SetEdgeScalarBarVisibility | ( | bool | b | ) |
| virtual

Visibility of scalar bar actor for edges.

## ◆ GetEdgeScalarBarVisibility()

virtual bool vtkTreeAreaView::GetEdgeScalarBarVisibility | ( |  | ) |
| virtual

Visibility of scalar bar actor for edges.

## ◆ SetAreaToPolyData()

virtual void vtkTreeAreaView::SetAreaToPolyData | ( | vtkPolyDataAlgorithm * | areaToPoly | ) |
| protectedvirtual

The filter for converting areas to polydata.

This may e.g. be vtkTreeMapToPolyData or vtkTreeRingToPolyData. The filter must take a vtkTree as input and produce vtkPolyData.

## ◆ GetAreaToPolyData()

virtual vtkPolyDataAlgorithm* vtkTreeAreaView::GetAreaToPolyData | ( |  | ) |
| protectedvirtual

The filter for converting areas to polydata.

This may e.g. be vtkTreeMapToPolyData or vtkTreeRingToPolyData. The filter must take a vtkTree as input and produce vtkPolyData.

## ◆ SetAreaLabelMapper()

virtual void vtkTreeAreaView::SetAreaLabelMapper | ( | vtkLabeledDataMapper * | mapper | ) |
| protectedvirtual

The mapper for rendering labels on areas.

This may e.g. be vtkDynamic2DLabelMapper or vtkTreeMapLabelMapper.

## ◆ GetAreaLabelMapper()

virtual vtkLabeledDataMapper* vtkTreeAreaView::GetAreaLabelMapper | ( |  | ) |
| protectedvirtual

The mapper for rendering labels on areas.

This may e.g. be vtkDynamic2DLabelMapper or vtkTreeMapLabelMapper.

## ◆ CreateDefaultRepresentation()

vtkDataRepresentation* vtkTreeAreaView::CreateDefaultRepresentation | ( | vtkAlgorithmOutput * | conn | ) |
| overrideprotectedvirtual

Overrides behavior in vtkView to create a vtkRenderedGraphRepresentation by default.

Reimplemented from vtkView.

## ◆ GetTreeAreaRepresentation()

virtual vtkRenderedTreeAreaRepresentation* vtkTreeAreaView::GetTreeAreaRepresentation | ( |  | ) |
| protectedvirtual

Overrides behavior in vtkView to create a vtkRenderedGraphRepresentation by default.

The documentation for this class was generated from the following file:

- Views/Infovis/vtkTreeAreaView.h